package com.example.takeawaysystemserver.controller;

import com.example.takeawaysystemserver.entity.Dish;
import com.example.takeawaysystemserver.service.DishService;
import com.example.takeawaysystemserver.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Ethereal
 * @date 2024/7/12
 * @description
 */
@RestController
@Api(tags = "菜品模块")
@RequestMapping("dish")
public class DishController {

    @Resource
    private DishService dishService;

    @GetMapping("get-dish-info")
    @ApiOperation(value = "获取菜品信息")
    public R<List<Dish>> getDishes(){
        return dishService.getDishes();
    }
}