package com.example.takeawaysystemserver.controller;

import com.example.takeawaysystemserver.entity.OrderItem;
import com.example.takeawaysystemserver.entity.OrderList;
import com.example.takeawaysystemserver.model.vo.OrderVO;
import com.example.takeawaysystemserver.service.OrderService;
import com.example.takeawaysystemserver.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author Ethereal
 * @date 2024/7/12
 * @description
 */
@RestController
@RequestMapping("order")
@Api(tags = "订单模块")
public class OrderController {
    @Resource
    private OrderService orderService;


    @PostMapping("add")
    @ApiOperation(value = "添加订单")
    public R<String> addOrder(@RequestHeader String token, @RequestBody OrderList order){
        return orderService.addOrders(token, order);
    }

    @GetMapping("get")
    @ApiOperation(value = "获取订单信息")
    public R<List<OrderVO>> getOrders(@RequestHeader String token){
        return orderService.getOrders(token);
    }
}
