package com.example.takeawaysystemserver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.takeawaysystemserver.entity.Dish;
import com.example.takeawaysystemserver.entity.Shop;
import com.example.takeawaysystemserver.util.R;

import java.util.List;

/**
* @author qiushengyu
* @description 针对表【shop】的数据库操作Service
* @createDate 2024-07-11 17:13:56
*/
public interface ShopService extends IService<Shop> {
    /**
     * 获取所有商家信息
     * @return 所有商家的list
     */
    R<List<Shop>> getAllShop();

    /**
     * 获取商家的菜品信息
     * @param id 商家id
     * @return 菜品信息
     */
    R<List<Dish>> getShopDishes(Integer id);

    /**
     * 关键字搜索
     * @param keyword 关键字
     * @return 商家列表
     */
    R<List<Shop>> search(String keyword);
}
